          Return an array of the keywords in a crate.

get_key_names(crate)

Argument
Description
crate
A Crate object such as a TABLECrate or IMAGECrate

The get_key_names command retrieves the keywords in the crate as an array of strings. The get_keyval routine can be used to read the value of a single keyword.

>>> cr = read_file("evt2.fits")
>>> keys = get_key_names(cr)
>>> print(keys[10:15])
['DATE-OBS' 'DATE-END' 'TIMESYS' 'MJDREF' 'TIMEZERO']

Retrieve the keywords from the crate "cr", then print out five elements of the array.

See the bug pages on the CIAO website for an up-to-date listing of known bugs.

December 2013